#!/bin/bash

source "${PALUDIS_EBUILD_DIR}/echo_functions.bash"

PORTDIR="/usr/portage"

[[ -z ${PORTDIR} || "$(dirname ${PORTDIR})" == "/" ]] && die "PORTDIR empty or pointing to root!"


die() {
	eerror "${1}"
	exit 1
}

einfo "syncing metadata cache"

for i in gentoo games-overlay desktop-overlay media-overlay prism-overlay libressl arx-libertatis dotnet haskell qt sage-on-gentoo torbrowser tox-overlay hasufell-overlay; do
	egencache --jobs=8 --repo=${i} --update --update-use-local-desc \
		|| die "egencache failed for overlay ${i}!"
done
